Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.context
Interface InternalHousekeepingContext

All Known Subinterfaces:
  InternalContextAdapter

All Known Implementing Classes:
  InternalContextBase

interface InternalHousekeepingContext

interface to encapsulate the 'stuff' for internal operation of velocity. We use the context as a thread-safe storage : we take advantage of the fact that it's a visitor of sorts to all nodes (that matter) of the AST during init() and render(). Currently, it carries the template name for namespace support, as well as node-local context data introspection caching.

Version:
  $Id: InternalHousekeepingContext.java,v 1.6 2001/05/20 19:44:35 geirm Exp $
Author:
  Geir Magnusson Jr., Christoph Reck

Method Summary
`Resource` | `getCurrentResource()` temporary fix to enable #include() to figure out current encoding.
`java.lang.String` | `getCurrentTemplateName()` get the current template name
`java.lang.Object[]` | `getTemplateNameStack()` Returns the template name stack in form of an array.
`IntrospectionCacheData` | `icacheGet(java.lang.Object key)` returns an IntrospectionCache Data (@see IntrospectionCacheData) object if exists for the key
`void` | `icachePut(java.lang.Object key, IntrospectionCacheData o)` places an IntrospectionCache Data (@see IntrospectionCacheData) element in the cache for specified key
`void` | `popCurrentTemplateName()` remove the current template name from stack
`void` | `pushCurrentTemplateName(java.lang.String s)` set the current template name on top of stack
`void` | `setCurrentResource(Resource r)`

Method Detail

### pushCurrentTemplateName

    public void pushCurrentTemplateName(java.lang.String s)

  set the current template name on top of stack
  Parameters:
    `s` - current template name

### popCurrentTemplateName

    public void popCurrentTemplateName()

  remove the current template name from stack

### getCurrentTemplateName

    public java.lang.String getCurrentTemplateName()

  get the current template name
  Returns:
    String current template name

### getTemplateNameStack

    public java.lang.Object[] getTemplateNameStack()

  Returns the template name stack in form of an array.
  Returns:
    Object[] with the template name stack contents.

### icacheGet

    public IntrospectionCacheData icacheGet(java.lang.Object key)

  returns an IntrospectionCache Data (@see IntrospectionCacheData) object if exists for the key
  Parameters:
    `key` - key to find in cache
  Returns:
    cache object

### icachePut

    public void icachePut(java.lang.Object key,
                          IntrospectionCacheData o)

  places an IntrospectionCache Data (@see IntrospectionCacheData) element in the cache for specified key
  Parameters:
    `key` - key
    `o` - IntrospectionCacheData object to place in cache

### getCurrentResource

    public Resource getCurrentResource()

  temporary fix to enable #include() to figure out current encoding.

### setCurrentResource

    public void setCurrentResource(Resource r)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation. All Rights Reserved.